Page MenuHomeFreeBSD

lang/python27 Remove SEM option and turn it on default
ClosedPublic

Authored by miwi on Apr 21 2017, 10:37 AM.

Details

Summary

Since FreeBSD 8.x EOL in 2015-08-01 the option doesn't have any value beyond footshooting[1]. sem_open() and sem_init(pshared=1) always work FreeBSD 9.0 or later after base r201546.

Test Plan

exp-run requiered to make sure we dont break anything else

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

miwi created this revision.Apr 21 2017, 10:37 AM
jbeich requested changes to this revision.Apr 21 2017, 11:21 AM
jbeich added inline comments.
lang/python27/Makefile
34 ↗(On Diff #27598)
  • autoconf detects sem_open() just fine, so leave caching for /usr/ports/Templates/config.site
  • dropping a comment that still applies without a rationale seems like a regression
36 ↗(On Diff #27598)
  • don't mix unrelated changes, they make it harder to review
  • indentation is now inconsistent with plat-freebsd* comment below
123 ↗(On Diff #27598)

The extra patch is gone, so the conditional can go away.

lang/python27/files/extra-patch-setup.py
11 ↗(On Diff #27598)

Can you drop a similar hunk in files/patch-setup.py? Upstream probably wanted to override autodetection but now it's just a nop.

This revision now requires changes to proceed.Apr 21 2017, 11:21 AM
jbeich added inline comments.Apr 21 2017, 11:26 AM
lang/python27/Makefile
34 ↗(On Diff #27598)

FYI: other lang/python* ports don't pass ac_cv_posix_semaphores_enabled=yes.

miwi updated this revision to Diff 27599.Apr 21 2017, 11:36 AM
miwi edited edge metadata.
  • Address jbeich comments
jbeich accepted this revision.Apr 21 2017, 6:43 PM
This revision is now accepted and ready to land.Apr 21 2017, 6:43 PM

I believe this part from patch-setup.py can be removed:

  • elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8'):

+ elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8', 'freebsd9', 'freebsd10', 'freebsd11'):

miwi updated this revision to Diff 27627.Apr 22 2017, 3:45 AM
miwi edited edge metadata.
  • Regenerate patch-setup.py to drop all gruft
This revision now requires review to proceed.Apr 22 2017, 3:45 AM
miwi added a comment.Apr 22 2017, 3:45 AM

I believe this part from patch-setup.py can be removed:

  • elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8'):

+ elif host_platform in ('freebsd4', 'freebsd5', 'freebsd6', 'freebsd7', 'freebsd8', 'freebsd9', 'freebsd10', 'freebsd11'):

I've drop the that.

miwi accepted this revision as: Python.Apr 23 2017, 9:07 PM
This revision was automatically updated to reflect the committed changes.